<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID" value="IHEUNSUB" />
	<ui:define name="body">
		<h:form id="globalForm">
			#{iheUnsubManagerBean.initBean()}
			<s:decorate id="messageDecoration">
				<rich:messages globalOnly="true" styleClass="message" />
			</s:decorate>
			<s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.xdstar.DocumentMetadataSubscribeUnsubscribeTransactionI']}</h1>
				<gri:panel id="mainPanel">
                    <f:facet name="header">
                        #{messages['net.ihe.gazelle.xdstar.DocumentMetadataSubscribeUnsubscribeTransactionI']}
                    </f:facet>
					<s:div>
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} " />
						<h:outputText
							value="#{iheUnsubManagerBean.selectedTransaction.keyword} : " />
						<h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.DocumentMetadataSubscribeUnsubscribeTransaction']}"/>
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.SpecifyTheNotificationSubscriptionIDOfTheSubscri']}"/>
                            </li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToExecuteTheRequest']}" /></li>
						</ul>
					</s:div>
					<s:div id="configurationDiv">
						<ui:include src="/simu/header.xhtml">
							<ui:param name="divToRerender"
								value="messageConfigurationDiv,messagesDiv,actionButtons" />
							<ui:param name="simuManager" value="#{iheUnsubManagerBean}" />
							<ui:param name="diagramFile" value="/img/ITI52_unsub.png" />
							<ui:param name="sourceID" value="" />
							<ui:param name="simulatorConfigurationName"
                                      value="#{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotificationBrokerSimulator']}"/>
							<ui:param name="displaySourceId" value="#{false}" />
							<ui:param name="displayhomeCommunityId" value="#{false}" />
						</ui:include>
						<s:div id="messageConfigurationDiv">
							<s:div
								rendered="#{iheUnsubManagerBean.selectedConfiguration != null}">
								<gri:panel>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.UnsubscribeParameters']}
                                    </f:facet>
									<div class="form-horizontal">
									<ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                        <ui:define name="label">
                                            #{messages['net.ihe.gazelle.xdstar.SubscriptionIDToBeRemoved']}
                                        </ui:define>
										<h:inputText
											value="#{iheUnsubManagerBean.selectedSubscriptionID}"
											size="60" styleClass="form-control"/>
									</ui:decorate>
									</div>
								</gri:panel>
							</s:div>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{iheUnsubManagerBean.selectedConfiguration != null}"
							render="previewMessagePanel" />
						<a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
							actionListener="#{iheUnsubManagerBean.sendMessage()}"
							value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
							rendered="#{iheUnsubManagerBean.selectedConfiguration != null}"
							render="messagesDiv" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" styleClass="gzl-btn"
							actionListener="#{iheUnsubManagerBean.reset()}"
							value="#{messages['net.ihe.gazelle.xdstar.Reset']}"
							render="globalDiv" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<br />
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel"
						rendered="#{iheUnsubManagerBean.displayResultPanel == true}">
						<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<f:subview id="subview_1">
							<ui:include id="messageTable" src="/messages/messageTable.xhtml">
								<ui:param name="messageManagerBean"
									value="#{allMessageManagerBean}" />
							</ui:include>
						</f:subview>
						<br />
					</gri:panel>
				</s:div>
			</s:div>
		</h:form>
		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:div id="previewMessagePanelDiv"
					rendered="#{iheUnsubManagerBean.selectedConfiguration != null}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent"
						content="#{iheUnsubManagerBean.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>
	</ui:define>
</ui:composition>
